uniform highp vec4 color;
uniform sampler2D texMap0;
varying highp vec2 vTexCoord;
uniform int channelIdx;

void main()
{
	highp vec4 tex0 = texture2D(texMap0, vTexCoord.xy);		

	gl_FragColor.rgb = color.rgb;
	gl_FragColor.a = color.a * tex0[channelIdx];
//	gl_FragColor.rgba = vec4(1.0,1.0,1.0,1.0);
}
