uniform highp mat4 uModelViewMatrix;

attribute highp vec3 position;
attribute highp vec2 texCoord;
attribute highp vec4 color;

varying highp vec2 vTexCoord;
varying highp vec4 vColor;

void main()
{
	gl_Position = uModelViewMatrix * vec4(position, 1.0);
	vTexCoord = texCoord;
	vColor = color;
}