uniform sampler2D texMap0;
varying highp vec2 vTexCoord;
	
const highp float BlurScale = 0.01;

void main()
{
/*
    highp vec2 dx   = vec2 ( 1.0 / 512.0, 0.0 );
    highp vec2 dy   = vec2 ( 0.0, 1.0 / 512.0 );
    highp vec4 base = texture2D ( texMap0, vTexCoord.xy ) +
                texture2D ( texMap0, vTexCoord.xy + dx ) +
                texture2D ( texMap0, vTexCoord.xy + dy ) +
                texture2D ( texMap0, vTexCoord.xy + dx + dy );

    base *= 0.25;

    if ( length ( base.rgb ) < 0.8 )
        base.rgb = vec3 ( 0.0 );

    gl_FragColor = base;
    */
    /*
	highp vec4 sum = texture2D(texMap0, vTexCoord.xy);
	highp vec3 color = sum.rgb;        

	if (color.r != 0.0 || color.g != 0.0 || color.b != 0.0)	
	{
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2( -0.326212, -0.405805 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2( -0.840144, -0.073580 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2( -0.695914,  0.457137 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2( -0.203345,  0.620716 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2(  0.962340, -0.194983 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2(  0.473434, -0.480026 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2(  0.519456,  0.767022 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2(  0.185461, -0.893124 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2(  0.507431,  0.064425 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2(  0.896420,  0.412458 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2( -0.321940, -0.932615 ) );
		sum += texture2D( texMap0, vTexCoord + BlurScale * vec2( -0.791559, -0.597705 ) );
	}

   
	gl_FragColor = sum / 10.0;
	gl_FragColor.a = 1.0;
	*/
	
    highp vec2 tx  = vTexCoord.xy;
    //highp vec2 dx  = vec2 (0.001953,0.000000);
    highp vec2 dx  = vec2 (0.001953,0.000000);
    highp vec2 sdx = dx;
    highp vec2 dy  = vec2 (0.000000, 0.001953);
    highp vec2 sdy = dx;
    highp vec4 sum = texture2D ( texMap0, tx ) * 0.0134598;

    sum += (texture2D ( texMap0, tx + sdx ) + texture2D ( texMap0, tx - sdx ) )* 0.127325;
    sdx += dx;
    sum += (texture2D ( texMap0, tx + sdx ) + texture2D ( texMap0, tx - sdx ) )* 0.107778;
    sdx += dx;
    sum += (texture2D ( texMap0, tx + sdx ) + texture2D ( texMap0, tx - sdx ) )* 0.081638;
    sdx += dx;
    sum += (texture2D ( texMap0, tx + sdx ) + texture2D ( texMap0, tx - sdx ) )* 0.055335;
    sdx += dx;
    sum += (texture2D ( texMap0, tx + sdx ) + texture2D ( texMap0, tx - sdx ) )* 0.033562;
    sdx += dx;
    sum += (texture2D ( texMap0, tx + sdx ) + texture2D ( texMap0, tx - sdx ) )* 0.018216;
    sdx += dx;
    sum += (texture2D ( texMap0, tx + sdx ) + texture2D ( texMap0, tx - sdx ) )* 0.008847;
    sdx += dx;    

    sum += (texture2D ( texMap0, tx + sdy ) + texture2D ( texMap0, tx - sdy ) )* 0.127325;
    sdy += dy;
    sum += (texture2D ( texMap0, tx + sdy ) + texture2D ( texMap0, tx - sdy ) )* 0.107778;
    sdy += dy;
    sum += (texture2D ( texMap0, tx + sdy ) + texture2D ( texMap0, tx - sdy ) )* 0.081638;
    sdy += dy;
    sum += (texture2D ( texMap0, tx + sdy ) + texture2D ( texMap0, tx - sdy ) )* 0.055335;
    sdy += dy;
    sum += (texture2D ( texMap0, tx + sdy ) + texture2D ( texMap0, tx - sdy ) )* 0.033562;
    sdy += dy;
    sum += (texture2D ( texMap0, tx + sdy ) + texture2D ( texMap0, tx - sdy ) )* 0.018216;
    sdy += dy;
    sum += (texture2D ( texMap0, tx + sdy ) + texture2D ( texMap0, tx - sdy ) )* 0.008847;
    sdx += dx;    
    
    gl_FragColor = sum;// + texture2D (texMap0, vTexCoord.xy);
}
