uniform highp mat4 uModelViewMatrix;

attribute highp vec3 position;
attribute highp vec4 color;

varying highp vec4 vColor;

void main()
{
	gl_Position = uModelViewMatrix * vec4(position, 1.0);
	vColor = color;
}