uniform highp vec4 color;
uniform sampler2D texMap0;

varying highp vec2 vTexCoord;
varying highp float vClipDistance[2];

void main()
{
//	if (vClipDistance[0] < 0.0)
//		discard;
//	if (vClipDistance[1] < 0.0)
//		discard;
	
	highp vec4 tex0 = texture2D(texMap0, vTexCoord.xy);			
	gl_FragColor.rgba = color * tex0;
}
