uniform highp vec4 uColor;
uniform sampler2D texMap0;
varying highp vec2 vTexCoord;
uniform bool uUseTexture;
uniform int uChannel;

void main()
{
	if (uUseTexture)
	{
		highp vec4 tex0 = texture2D(texMap0, vTexCoord.xy);		

		gl_FragColor.rgb = uColor.rgb;
		gl_FragColor.a = uColor.a * tex0[uChannel];
	}
	else
	{
		gl_FragColor.rgba = uColor;
	}
}
