uniform highp vec4 color;
uniform sampler2D texMap0;
varying highp vec2 vTexCoord;

void main()
{
	highp vec4 tex0 = texture2D(texMap0, vTexCoord.xy);		

	//gl_FragColor.rgba = vec4(color.r, color.g, color.b, color.a * tex0.a);
	gl_FragColor.rgba = vec4(color.r, color.g, color.b, tex0.a * color.a);
}
