uniform sampler2D texMap0;
varying highp vec2 vTexCoord;

void main()
{
	highp vec4 tex0 = texture2D(texMap0, vTexCoord.xy);
	
    if ( length ( tex0.rgb ) < 0.5 )
        tex0.rgb = vec3 ( 0.0 );
    else
	{
		tex0.rgb = (tex0.rgb - 0.5);
		if (tex0.r < 0.0) tex0.r = 0.0;
		if (tex0.g < 0.0) tex0.g = 0.0;
		if (tex0.b < 0.0) tex0.b = 0.0;
		tex0.rgb *= 2.0;
	}
	/*
	if (tex0.r < 0.8) tex0.r = 0;
	else tex0.r = (tex0.r - 0.8) * 5.0;
	
	if (tex0.g < 0.8) tex0.g = 0;
	else tex0.g = (tex0.g - 0.8) * 5.0;
	
	if (tex0.b < 0.8) tex0.b = 0;
	else tex0.b = (tex0.b - 0.8) * 5.0;
	*/
	
	gl_FragColor.rgb = tex0.rgb;
	gl_FragColor.a = 1.0;
}
