uniform highp mat4 uModelViewMatrix;

attribute highp vec3 position;
attribute highp vec2 texCoord;

varying highp vec2 vTexCoord;

void main()
{
	gl_Position = uModelViewMatrix * vec4(position, 1.0);
	vTexCoord = texCoord;
}